
From: Bernardo Innocenti <bernie@develer.com>

- remove incorrect __attribute_pure__ from __div64_32() since it
  obviously clobbers memory through &(n);



 include/asm-generic/div64.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-generic/div64.h~div64-fix-fix-fix include/asm-generic/div64.h
--- 25/include/asm-generic/div64.h~div64-fix-fix-fix	2003-07-10 19:04:32.000000000 -0700
+++ 25-akpm/include/asm-generic/div64.h	2003-07-10 19:04:32.000000000 -0700
@@ -32,7 +32,7 @@
 
 #elif BITS_PER_LONG == 32
 
-extern uint32_t __div64_32(uint64_t *dividend, uint32_t divisor) __attribute_pure__;
+extern uint32_t __div64_32(uint64_t *dividend, uint32_t divisor);
 
 # define do_div(n,base) ({				\
 	uint32_t __base = (base);			\

_
